MyGUI::UString::_base_iterator Class Reference

base iterator class for UString More...

`#include <MyGUI_UString.h>`

Inheritance diagram for MyGUI::UString::_base_iterator:
[legend]

## Protected Types

using | difference_type = ptrdiff_t

## Protected Member Functions

void | _seekFwd (size_type c)
void | _seekRev (size_type c)
void | _become (const _base_iterator &i)
bool | _test_begin () const
bool | _test_end () const
size_type | _get_index () const
void | _jump_to (size_type index)
unicode_char | _getCharacter () const
int | _setCharacter (unicode_char uc)
void | _moveNext ()
void | _movePrev ()

## Protected Attributes

dstring::iterator | mIter
UString * | mString {nullptr}

## Friends

class | UString

## Detailed Description

base iterator class for UString

Definition at line 193 of file MyGUI_UString.h.

## Member Typedef Documentation

## difference_type

using MyGUI::UString::_base_iterator::difference_type = ptrdiff_t

protected

Definition at line 198 of file MyGUI_UString.h.

## Member Function Documentation

## _become()

void MyGUI::UString::_base_iterator::_become | ( | const _base_iterator & | i | ) |

protected

Definition at line 24 of file MyGUI_UString.cpp.

## _get_index()

UString::size_type MyGUI::UString::_base_iterator::_get_index | ( |  | ) | const

protected

Definition at line 40 of file MyGUI_UString.cpp.

## _getCharacter()

UString::unicode_char MyGUI::UString::_base_iterator::_getCharacter | ( |  | ) | const

protected

Definition at line 50 of file MyGUI_UString.cpp.

## _jump_to()

void MyGUI::UString::_base_iterator::_jump_to | ( | size_type | index | ) |

protected

Definition at line 45 of file MyGUI_UString.cpp.

## _moveNext()

void MyGUI::UString::_base_iterator::_moveNext | ( |  | ) |

protected

Definition at line 64 of file MyGUI_UString.cpp.

## _movePrev()

void MyGUI::UString::_base_iterator::_movePrev | ( |  | ) |

protected

Definition at line 83 of file MyGUI_UString.cpp.

## _seekFwd()

void MyGUI::UString::_base_iterator::_seekFwd | ( | size_type | c | ) |

protected

Definition at line 14 of file MyGUI_UString.cpp.

## _seekRev()

void MyGUI::UString::_base_iterator::_seekRev | ( | size_type | c | ) |

protected

Definition at line 19 of file MyGUI_UString.cpp.

## _setCharacter()

int MyGUI::UString::_base_iterator::_setCharacter | ( | unicode_char | uc | ) |

protected

Definition at line 56 of file MyGUI_UString.cpp.

## _test_begin()

bool MyGUI::UString::_base_iterator::_test_begin | ( |  | ) | const

protected

Definition at line 30 of file MyGUI_UString.cpp.

## _test_end()

bool MyGUI::UString::_base_iterator::_test_end | ( |  | ) | const

protected

Definition at line 35 of file MyGUI_UString.cpp.

## Friends And Related Symbol Documentation

## UString

friend class UString

friend

Definition at line 195 of file MyGUI_UString.h.

## Field Documentation

## mIter

dstring::iterator MyGUI::UString::_base_iterator::mIter

protected

Definition at line 214 of file MyGUI_UString.h.

## mString

UString* MyGUI::UString::_base_iterator::mString {nullptr}

protected

Definition at line 215 of file MyGUI_UString.h.

The documentation for this class was generated from the following files:

- MyGUI_UString.h
- MyGUI_UString.cpp